#include <iostream>
using namespace std;

class ClaseA
{
  protected:
    int atributo_x;
  public:
    ClaseA(int x = 1) : atributo_x(x) {}
    
    int metodo_x()
    {
      return atributo_x * 10;
    }
  
    int metodo_y()
    {
      return atributo_x + 100;
    }
};

class ClaseB : public ClaseA
{
  private:
    int atributo_x;
  public:
    ClaseB(int x = 2) : atributo_x(x) {}
  
    int metodo_x()
    {
      return atributo_x * -10;
    }
  
    int metodo_z()
    {
      atributo_x = ClaseA::atributo_x + 3;
      return ClaseA::metodo_x() + atributo_x;
    }
};

int main()
{
  ClaseB objClaseB;
  cout << objClaseB.metodo_x() << endl;
  cout << objClaseB.metodo_y() << endl;
  cout << objClaseB.metodo_z() << endl;
}

